class IgniteProperty {
    constructor() {
        this.onPropertyChange = [];
        this._value = null;
    }

    get value() {
        return this._value;
    }

    set value(val) {
        var old = this._value;
        this._value = val;

        for (var i = 0; i < this.onPropertyChange.length; i++) {
            this.onPropertyChange[i](old, val);
        }
    }
}

class IgniteAttribute {

}

export {
    IgniteProperty,
    IgniteAttribute
};